• Version: 2.5.0 (Changelog)
  • Tested & Compatible up to: WordPress 5.8 - 6.0 / WooCommerce 6.4.0+
  • Compatible Browsers: All Modern Browsers, IE11+
  • Documentation: Included